package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.*;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.GoodsStatusEnum;
import com.gree.mall.manager.plus.entity.Goods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class GoodsVO {

    @ZfireField(hide = true)
    @TableId(value = "goods_id", type = IdType.ID_WORKER_STR)
    private String goodsId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品类型: COMMON=普通商品  PACKAGE=套购商品")
    private String goodsType;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品图片")
    private String imgUrl;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品分类id")
    private String categoryId;

    @ApiModelProperty(value = "商品大类")
    private String categoryPname;

    @ApiModelProperty(value = "商品小类")
    private String categoryName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "大类id")
    private String categoryPid;



    @ApiModelProperty(value = "划线价格")
    private BigDecimal orgGoodsPrice;

    @ApiModelProperty(value = "商品价格")
    private BigDecimal goodsPrice;


    @ApiModelProperty(value = "商品状态 true:上架  false:下架")
    private GoodsStatusEnum status;

    @ApiModelProperty(value = "排序")
    private Integer sortNum;

}
